Authorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Load all permissions, using a valid management key.
This API endpoint returns details all permissions configured within the Descope instance. The response includes an array of permissions and these details of each permission:
- name
- description
- systemDefault
Next Steps
Once you have this data, you can utilize the response to Create Roles or Update Roles
See also
- See User Authorization for further details on managing roles and permissions.
curl -X GET "https://api.descope.com/v1/mgmt/permission/all"{ "permissions": [ { "name": "string", "description": "string", "systemDefault": true } ]}export interface Response {permissions?: Permission[]}export interface Permission {name?: stringdescription?: stringsystemDefault?: boolean}Permissions Management API Overview
Use the Descope API to create, update, and delete permissions.
Create Permission POST
### Create a permission, using a valid management key. This API endpoint allows administrators to create a new permission. The endpoint takes the following two parameters: - name (required) - description (optional) ### Next Steps Once you have this data, you can utilize the newly created role to [Create Roles](/api/management/roles/create-role) or [Update Roles](/api/management/roles/update-role) ### See also - See [User Authorization](/manage/roles/) for further details on managing roles and permissions.